/**
 * @module main
 * @dependencies core
 */

function pageLoad() {
    resize();
    setInterval("resize()", 500);
    setFocus();

    if (typeof handleToolbar == 'function') {
        handleToolbar();
    }
}        
        
function setFocus() {
    var b = document.getElementById("body");
    if (b) {
        b.focus();//a11y
    }
}

function resize() {
	var newHeight = 500;
	if (window.innerHeight)
		newHeight = window.innerHeight - 16;
	else
		newHeight = document.documentElement.clientHeight - 16;
	if (document.getElementById("header"))
		newHeight = newHeight - 50;

    if (newHeight <= 50) {
        newHeight = 50;
    }

    if (document.getElementById("content") != null) {
        document.getElementById("content").style.height = newHeight + 'px';
    }
}

function selectRow(what) {
	var row = document.getElementById("row" + what);
	var check = document.getElementById("item" + what);
	check.blur();

	if (check.checked) {
		row.style.backgroundColor = "#e0f6ff";
	} else {
		row.style.backgroundColor = "#ffffff";
    }
}

function ajax(t, url, onreadystatechange) {
    t.req = tw.js.getXMLHttpTransport();
    if (t.req == null) {
		alert(problemAjax_Alert);
    }
    if (t.req) {
        t.req.onreadystatechange = onreadystatechange;
        t.req.open("GET", url, true);
        // Set this header to prevent caching of response by IE
        t.req.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
        t.req.send("");
    }
}
